------------------------------------------------------------------
--                                                              --
--  File:   Restore_Database.SQL                                --
--          Microsoft TPC-E Benchmark Kit Ver. 1.12.0-1022      --
--          Copyright Microsoft  2008, 2009, 2010               --
--                                                              --
------------------------------------------------------------------
Use master
GO

DECLARE @startdate	DATETIME,
	    @enddate	DATETIME

SELECT  @startdate = GETDATE()
SELECT  'Start date:',
		CONVERT(VARCHAR(30),@startdate, 21)

RESTORE DATABASE tpce FROM
tpceback2400k22_2_B10_01,
tpceback2400k22_2_B10_02,
tpceback2400k22_2_B10_03,
tpceback2400k22_2_B10_04,
tpceback2400k22_2_B10_05,
tpceback2400k22_2_B10_06,
tpceback2400k22_2_B10_07,
tpceback2400k22_2_B10_08,
tpceback2400k22_2_B10_09,
tpceback2400k22_2_B10_10 
WITH REPLACE, STATS = 1

SELECT  @enddate = GETDATE()
SELECT  'End date: ',
		CONVERT(VARCHAR(30),@enddate, 21)
SELECT  'Elapsed time (in seconds): ',
		DATEDIFF(second, @startdate, @enddate)
GO
